2005-10-16 [wwp] 1.9.15cvs51
[claws.git] / INSTALL
1 Installation
2 ============
3
4 This program requires GTK+ 2.4.0 or higher to be compiled.
5
6 Build it
7 ========
8
9 Please make sure that gtk-devel and glib-devel (or similar) packages are
10 installed before the compilation (you may also require flex (lex) and bison
11 (yacc)).
12
13 To compile and install, just type:
14
15 % ./configure
16 % make
17 % su
18 Password: [Enter password]
19 # make install
20
21 Additional libraries
22 ====================
23 only needed if you require the additional functionality
24
25 Aspell (>= 0.50) (and dictionaries)
26     for spell-checker support
27     http://aspell.sourceforge.net/
28 Clam AntiVirus
29     for Clam AntiVirus plugin support
30     http://clamav.sourceforge.net/
31 compface
32     for X-Face support
33     http://freshmeat.net/projects/compface/
34 Dillo (>= 0.7.0)
35     for Dillo HTML viewer plugin support
36     http://www.dillo.org/
37 GnuPG (>= 1.2.1) and GPGME (>=  0.4.5)
38     for GnuPG plugin support
39     http://www.gnupg.org/
40     ftp://ftp.gnupg.org/gcrypt/gpgme/
41 GtkMathView (>= 0.4.2 and < 0.5)
42     for MathML viewer plugin support
43     http://helm.cs.unibo.it/mml-widget/
44 J-Pilot
45     for J-Pilot support
46     http://www.jpilot.org/
47 libEtPan! (>= 0.38)
48     for IMAP4 support
49     http://www.etpan.org
50 libgnomeprint (>= 2.2)
51     for extended printing support
52     http://www.gnome.org
53 OpenLDAP (>= 2.0.7)
54     for LDAP support
55     http://www.openldap.org/
56 OpenSSL (>= 0.9.7)
57     for SSL support
58     http://www.openssl.org/
59 SpamAssassin
60     for SpamAssassin plugin support
61     http://spamassassin.org/
62   
63 Options for configure script
64 ============================
65   --with-config-dir=RCDIR           local config dir (default: .sylpheed-gtk2)
66   --disable-compface                disable compface (X-Face) support
67   --disable-ipv6                    disable IPv6 support
68   --disable-openssl                 disable OpenSSL support
69   --disable-libetpan                disable IMAP4 support
70   --disable-gnomeprint              disable libgnomeprint support
71   --enable-aspell                   GNU/aspell support
72   --enable-ldap                     LDAP support
73   --enable-jpilot                   JPilot support
74   --enable-crash-dialog             enable crash dialog
75   --disable-startup-notification    disable startup notification support
76   --disable-trayicon-plugin         do not build System Tray Icon plugin
77   --enable-spamassassin-plugin      build SpamAssassin plugin
78   --disable-pgpcore-plugin          do not build PGP/Core plugin
79   --disable-pgpmime-plugin          do not build PGP/MIME plugin
80   --disable-pgpinline-plugin        do not build PGP/Inline plugin
81   --disable-mathml-viewer-plugin    do not build MathML-Viewer plugin
82   --disable-dillo-viewer-plugin     do not build Dillo plugin
83   --disable-clamav-plugin           do not build Clam AntiVirus plugin
84  
85 For other options, refer to ./configure --help .
86
87